diff contrib/splice3/setup-deb @ 639:15bbd88257a6 draft

added configurations to splice3 installations
author d3v11 <d3v11@d3v11.ano>
date Sat, 01 Oct 2011 14:01:03 -0500
parents
children 4714e2a4cc09
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/contrib/splice3/setup-deb	Sat Oct 01 14:01:03 2011 -0500
@@ -0,0 +1,29 @@
+#!/bin/bash
+echo 'checking for python2.7'
+if which python2.7 >/dev/null; then
+ :
+else
+ echo 'python2.7 not found. Quiting... :-('
+ exit 1
+fi
+
+echo 'checking for man'
+if which man >/dev/null; then
+ :
+else
+ echo 'man not found. Quiting... :-('
+ exit 1
+fi
+
+echo 'checking for dpkg'
+if which dpkg >/dev/null; then
+ :
+else
+ echo 'dpkg not found. Quiting... :-('
+ exit 1
+fi
+
+echo 'configuring path to python2.7'
+PYPATH=`which python2.7`
+sed -e s^PYTHON^"$PYPATH"^g LINUX/splice3.py >LINUX/splice3.cp
+sed -e s^PYTHON^"$PYPATH"^g LINUX/splice3-deshadow.py >LINUX/splice3-deshadow.cp